Partially update a report config
PATCH
/v1/reportconfig/{id}/
const url = 'https://example.com/v1/reportconfig/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","active":true,"period":0}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/reportconfig/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "active": true, "period": 0 }'Update one or more fields of an existing report configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this report config.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
account
string format: uuid
description
string
active
boolean
period
0- Weekly1- Monthly
integer
created_at
string format: date-time
slos_count
integer
latest_report_id
string format: uuid
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
account
string format: uuid
description
string
active
boolean
period
0- Weekly1- Monthly
integer
created_at
string format: date-time
slos_count
integer
latest_report_id
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
account
required
string format: uuid
description
string
active
boolean
period
required
0- Weekly1- Monthly
integer
created_at
required
string format: date-time
slos_count
required
integer
latest_report_id
required
string format: uuid
Example
{ "period": 0}